<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/*Inicia validacion del lado del servidor*/
if (empty($_POST['mod_id'])) {
    $errors[] = "ID vacío";
} else if (
    !empty($_POST['mod_id'])
) {
    /* Connect To Database*/
    require_once "../db.php";
    require_once "../php_conexion.php";
    // escaping, additionally removing everything that could be (html/javascript-) code
    $cantidad  = floatval($_POST['mod_cant']);
    $precio    = floatval($_POST['mod_precio']);
    $descuento = intval($_POST['mod_desc']);
    $id_tmp    = intval($_POST['mod_id']);

    $sql = "UPDATE tmp_mesa SET  cant_tmp='" . $cantidad . "',
                                precio_tmp='" . $precio . "',
                                desc_tmp='" . $descuento . "'
                                WHERE id_tmp='" . $id_tmp . "'";
    $query_update = mysqli_query($conexion, $sql);
    if ($query_update) {
        $messages[] = "Linea ha sido actualizada con Exito.";
        echo "<script>
        $('#resultados').load('../ajax/agregar_mesa_tmp.php');
        $('#carga_totales').load('../ajax/cuentas_tmp_mesas.php');
      </script>";
    } else {
        $errors[] = "Lo siento algo ha salido mal intenta nuevamente." . mysqli_error($conexion);
    }
} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

    ?>
    <div class="alert alert-danger" role="alert">
        <strong>Error!</strong>
        <?php
foreach ($errors as $error) {
        echo $error;
    }
    ?>
    </div>
    <?php
}
if (isset($messages)) {

    ?>
    <div class="alert alert-success" role="alert">
        <strong>¡Bien hecho!</strong>
        <?php
foreach ($messages as $message) {
        echo $message;
    }
    ?>
    </div>
    <?php
}

?>